#ifndef NBTMODIFIER_TAGBYTE_H
#define NBTMODIFIER_TAGBYTE_H

#include "AbstractNamedTag.h"

class TagByte : public AbstractNamedTag {
public:
    static constexpr quint8 ID = 1;

    TagByte (const qint8 value = 0);

    const qint8 value () const;

protected:
    virtual void readPayloadFromData (QDataStream &data) override;
    virtual void writePayloadToData (QDataStream &data) const override;

private:
    qint8 m_value;
};

#endif //NBTMODIFIER_TAGBYTE_H
