#include "TagShort.h"

#include <QtEndian>
#include <QtCore/QDataStream>

TagShort::TagShort (const qint16 value) : AbstractNamedTag(ID), m_value(value) {}

const qint16 TagShort::value () const {
    return m_value;
}

void TagShort::readPayloadFromData (QDataStream &data) {
    data >> m_value;
    m_value = qFromBigEndian(m_value);
}
void TagShort::writePayloadToData (QDataStream &data) const {
    data << qToBigEndian(m_value);
}