#ifndef NBTMODIFIER_TAGLONG_H
#define NBTMODIFIER_TAGLONG_H

#include "AbstractNamedTag.h"

class TagLong : public AbstractNamedTag {
public:
    static constexpr quint8 ID = 4;

    TagLong (const qint64 value = 0);

    const qint64 value () const;

protected:
    virtual void readPayloadFromData (QDataStream &data) override;
    virtual void writePayloadToData (QDataStream &data) const override;

private:
    qint64 m_value;
};

#endif //NBTMODIFIER_TAGLONG_H
